<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description    Ventana donde se ingresan los datos para modificar o crear
                una adición relacionada con un contrato.	        
                        
@cu 			CU-SA-AC-89

-->


<h:form id="modificaCotizacionForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer width="5" />

    <p:fieldset>

        <p:messages id="modificarCotozacionMsgs" showDetail="false" />

        <h:inputText size="1" id="itChancucho" maxlength="0"
                     style="border: 0px; max-height: 0px;" />
        <p:focus for="itChancucho" />

        <h:panelGrid columns="2" cellspacing="7" width="100%">
            <h:outputLabel value="Razón social / Persona Natural:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo documento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.numero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Sec_Radicado:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.selectedAvaluo.secRadicado}"
                styleClass="outputTextStyle" />

            <h:panelGroup>
                <h:outputLabel value="Valor cotizado/estimado:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="valorCotizacionInput"
                             value="#{adminAvaluosAsociadosAContrato.selectedAvaluo.valorCotizacion}"
                             label="Valor cotización" required="true">
                    <f:validateDoubleRange minimum="1.0" for="valorCotizacionInput" />
                    <f:converter converterId="converterMoneda"
                                 for="valorCotizacionInput" />
                    <p:message for="valorCotizacionInput" display="icon" />
                    <p:ajax event="blur"
                            onstart="aplicarFormatoMoneda('modificaCotizacionForm:valorCotizacionInput',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('modificaCotizacionForm:valorCotizacionInput',false);" />
                </h:inputText>
                <p:message for="valorCotizacionInput" display="icon" />
            </h:panelGrid>
        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7" width="100%">
        <p:commandButton id="aceptarBtn" value="Aceptar"
                         icon="ui-icon ui-icon-check" onstart="statusDialog2.show();"
                         action="#{adminAvaluosAsociadosAContrato.modificarValorCotizacionAvaluo}"
                         oncomplete="statusDialog2.hide();
                         handleCompleteSIC(xhr, status, args, modificarValorCotizacionWV, false)"
                         update=":modificaCotizacionForm,
                         :adminAvaluosContratoForm:avaluosDeContratoDT" />
    </h:panelGrid>

</h:form>

